/api/v1/portal/collections/create
POST
/api/v1/portal/collections/create
const url = 'https://example.com/api/v1/portal/collections/create';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"title":"example","description":"example","parentId":"example","links":[{"title":"example","href":"example","rel":"example","type":"example","targetType":"example","linkJson":{}}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/portal/collections/create \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "description": "example", "parentId": "example", "links": [ { "title": "example", "href": "example", "rel": "example", "type": "example", "targetType": "example", "linkJson": {} } ] }'Request Body required
Section titled “Request Body required ” Media type application/json
object
title
required
string
description
required
string
parentId
string
links
required
Array<object>
object
title
required
string
href
required
string
rel
required
string
type
required
string
targetType
required
string
linkJson
required
object
Example generated
{ "title": "example", "description": "example", "parentId": "example", "links": [ { "title": "example", "href": "example", "rel": "example", "type": "example", "targetType": "example", "linkJson": {} } ]}Responses
Section titled “ Responses ”Default Response
Media type application/json
object
portalItemId
required
string
Example generated
{ "portalItemId": "example"}Default Response
Media type application/json
object
message
required
string
Example generated
{ "message": "example"}Default Response
Media type application/json
object
message
required
string
Example generated
{ "message": "example"}